import { Component } from '@angular/core';

@Component({
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      height="512"
      viewBox="0 0 512 512"
      width="512"
    >
      <g>
        <g>
          <path d="m229.153 412.849 27.713 16" fill="#d8d7da" />
          <path
            d="m367 252.09v179.91l-64 64h-272v-480h336v140.09"
            fill="#ffeb99"
          />
          <path d="m303 496v-64h64" fill="#cca400" />
          <g fill="#91cc04">
            <path d="m63 96h80v80h-80z" />
            <path d="m63 200h80v80h-80z" />
            <path d="m63 304h80v80h-80z" />
          </g>
          <path
            d="m265.331 431.558-.498.867-41.875 39.38-12.393-7.115 12.64-56.163.497-.867z"
            fill="#2d2d30"
          />
          <path
            d="m150.115 232.565h376v48h-376z"
            fill="#cca400"
            transform="matrix(.498 -.867 .867 .498 -52.728 422.062)"
          />
          <path
            d="m443.663 48.707a16 16 0 0 1 16 16v32a0 0 0 0 1 0 0h-32a0 0 0 0 1 0 0v-32a16 16 0 0 1 16-16z"
            fill="#d8d7da"
            transform="matrix(.867 .498 -.498 .867 95.093 -211.233)"
          />
          <path
            d="m399.748 91.397h48v32h-48z"
            fill="#2d2d30"
            transform="matrix(.867 .498 -.498 .867 109.72 -196.713)"
          />
          <path d="m436.597 133.222 27.752 15.932" fill="#d8d7da" />
          <path d="m480.28 121.402-67.709 117.946" fill="#d8d7da" />
        </g>
        <g>
          <path
            d="m483.64 115.79a8.007 8.007 0 0 0 -10.93 2.93l-12 20.79-13.85-8 12-20.79c.13-.23.25-.47.36-.71.08-.17.14-.35.21-.52a1.8 1.8 0 0 1 .08-.21c.07-.22.13-.44.19-.66a.292.292 0 0 1 .02-.09c.05-.23.09-.46.13-.69 0-.02.01-.05.01-.08.03-.22.04-.43.05-.65a.57.57 0 0 0 .01-.13c.01-.2 0-.4-.01-.6v-.19c-.01-.18-.04-.36-.06-.54l-.03-.24c-.03-.2-.08-.4-.13-.61l-.03-.15c-.02-.05-.04-.1-.06-.16-.05-.19-.11-.39-.18-.58-.03-.08-.07-.15-.1-.23-.07-.17-.14-.33-.21-.49-.03-.06-.07-.11-.1-.17-.09-.17-.18-.35-.29-.52a.607.607 0 0 0 -.07-.1 5.142 5.142 0 0 0 -.37-.54.265.265 0 0 1 -.05-.06c-.15-.19-.3-.37-.46-.54-.01-.02-.04-.04-.05-.05a5.9 5.9 0 0 0 -.51-.49.755.755 0 0 0 -.14-.11c-.15-.13-.31-.26-.47-.38-.22-.16-.44-.3-.67-.44l12-20.78a24 24 0 0 0 -41.57-24l-12 20.78a8.016 8.016 0 0 0 -10.93 2.93l-27.43 47.51v-110.23a8 8 0 0 0 -8-8h-336a8 8 0 0 0 -8 8v480a8 8 0 0 0 8 8h272a8.008 8.008 0 0 0 5.66-2.34l64-64a8.008 8.008 0 0 0 2.34-5.66v-177.77l62.86-108.87 13.85 8-48 83.14a8 8 0 0 0 13.86 8l52-90.06 16-27.72a8 8 0 0 0 -2.93-10.93zm-171.64 360.9v-36.69h36.69zm48-52.69h-56a8 8 0 0 0 -8 8v56h-256v-464h320v129.95l-145.07 251.26a8.2 8.2 0 0 0 -.87 2.23l-12.78 56.13a7.988 7.988 0 0 0 3.8 8.7l12.37 7.15a8.008 8.008 0 0 0 9.47-1.09l41.97-39.27a7.989 7.989 0 0 0 1.47-1.85l89.64-155.26zm-132.52-3.45 23.37 13.48-30.53 28.57-2.13-1.23zm33.52.87-26.85-15.5a7.489 7.489 0 0 0 -.9-.44l164.04-284.12 27.71 16zm172-297.91-27.71-16 8-13.86 27.71 16zm-4.78-39.72 12-20.78a8 8 0 1 1 13.85 8l-12 20.78z"
          />
          <path
            d="m187.294 81.53-35.294 25.67v-11.2a8 8 0 0 0 -8-8h-80a8 8 0 0 0 -8 8v80a8 8 0 0 0 8 8h80a8 8 0 0 0 8-8v-49.017l44.706-32.513a8 8 0 1 0 -9.412-12.94zm-51.294 86.47h-64v-64h64v14.835l-31.177 22.674-11.166-11.166a8 8 0 0 0 -11.314 11.314l16 16a8 8 0 0 0 10.363.813l27.294-19.851z"
          />
          <path
            d="m187.294 185.53-35.294 25.67v-11.2a8 8 0 0 0 -8-8h-80a8 8 0 0 0 -8 8v80a8 8 0 0 0 8 8h80a8 8 0 0 0 8-8v-49.017l44.706-32.513a8 8 0 1 0 -9.412-12.94zm-51.294 86.47h-64v-64h64v14.835l-31.177 22.674-11.166-11.166a8 8 0 0 0 -11.314 11.314l16 16a8 8 0 0 0 10.363.813l27.294-19.851z"
          />
          <path
            d="m187.294 289.53-35.294 25.67v-11.2a8 8 0 0 0 -8-8h-80a8 8 0 0 0 -8 8v80a8 8 0 0 0 8 8h80a8 8 0 0 0 8-8v-49.017l44.706-32.513a8 8 0 0 0 -9.412-12.94zm-51.294 86.47h-64v-64h64v14.835l-31.177 22.674-11.166-11.166a8 8 0 0 0 -11.314 11.314l16 16a8 8 0 0 0 10.363.813l27.294-19.851z"
          />
        </g>
      </g>
    </svg>
  `,
  selector: 'svg-card-quiz',
})
export class SvgCardQuizComponent {}
